Bug 799571 - After restarting ibus, Enable or disable ( with Control+space ) works.
Summary: After restarting ibus, Enable or disable ( with Control+space ) works.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus   
(Show other bugs)
Version: 17
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-03 05:57 UTC by sangu
Modified: 2012-05-06 04:54 UTC (History)
3 users (show)

Fixed In Version: ibus-1.4.99.20120428-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-06 04:54:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bebefore restarting ibus (20.37 KB, image/png)
2012-03-27 08:08 UTC, sangu
no flags Details
After restarting ibus (43.00 KB, image/png)
2012-03-27 08:11 UTC, sangu
no flags Details

Description sangu 2012-03-03 05:57:30 UTC
Description of problem:
After restarting ibus,  Enable or disable ( Control+space ) works.


Version-Release number of selected component (if applicable):
1.4.99.20120203-3.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Login in GDM
2. Click Ctrl + space or Hangul key
3. ibus restarts
  
Actual results:


Expected results:


Additional info:
ibus-hangul-1.4.0-3.fc17.x86_64
$ gsettings get org.gnome.shell enabled-extensions
['ibus-indicator@example.com']

Comment 1 sangu 2012-03-05 10:25:06 UTC
Additional info:
Errors in Looking Glass
Extesion "ibus-indicator@example" had errors: extesion is not compatible with current GNOME Shell and/or GJS

----
gjs-1.31.10-2.fc17.x86_64
gnome-shell-3.3.90-1.fc17.x86_64

Comment 2 fujiwara 2012-03-07 05:49:14 UTC
Thanks for catching up this.

The following is the tentative fixes:
--- /usr/share/gnome-shell/extensions/ibus-indicator@example.com/metadata.json.orig
+++ /usr/share/gnome-shell/extensions/ibus-indicator@example.com/metadata.json
@@ -1,4 +1,4 @@
-{"shell-version": ["3.3.5", "3.3.4", "3.3.3", "3.2", "3.2"],
+{"shell-version": ["3.3.90", "3.3.5", "3.3.4", "3.3.3", "3.2", "3.2"],
  "js-version": ["1.31.10", "1.31.6", "1.31.11", "1.30"],
  "uuid": "ibus-indicator@example.com",
  "name": "Input-Method Status Indicator",
--- /usr/share/gnome-shell/js/ui/status/ibus/candidatePanel.js.orig
+++ /usr/share/gnome-shell/js/ui/status/ibus/candidatePanel.js
@@ -51,7 +51,7 @@ StCandidateArea.prototype = {
     },
 
     _removeOldWidgets: function() {
-        this.actor.destroy_children();
+        this.actor.destroy_all_children();
         this._labels = [];
         this._labelBoxes = [];
     },

Comment 3 Fedora Update System 2012-03-14 02:02:14 UTC
ibus-fbterm-0.9.1-14.fc17, ibus-qt-1.3.1-8.fc17, ibus-handwrite-2.1.4-4.fc17, sunpinyin-2.0.3-4.fc17, ibus-input-pad-1.4.0-7.fc17, eekboard-1.0.5-4.fc17, ibus-skk-1.4.0-3.fc17, ibus-sayura-1.3.1-4.fc17, ibus-rawcode-1.3.1.20100707-7.fc17, ibus-m17n-1.3.3-9.fc17, ibus-hangul-1.4.0-5.fc17, ibus-chewing-1.3.10-3.fc17, ibus-pinyin-1.4.0-14.fc17, ibus-1.4.99.20120304-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-3532/ibus-fbterm-0.9.1-14.fc17,ibus-qt-1.3.1-8.fc17,ibus-handwrite-2.1.4-4.fc17,sunpinyin-2.0.3-4.fc17,ibus-input-pad-1.4.0-7.fc17,eekboard-1.0.5-4.fc17,ibus-skk-1.4.0-3.fc17,ibus-sayura-1.3.1-4.fc17,ibus-rawcode-1.3.1.20100707-7.fc17,ibus-m17n-1.3.3-9.fc17,ibus-hangul-1.4.0-5.fc17,ibus-chewing-1.3.10-3.fc17,ibus-pinyin-1.4.0-14.fc17,ibus-1.4.99.20120304-3.fc17

Comment 4 sangu 2012-03-14 04:09:03 UTC
This issue still happens in ibus-1.4.99.20120304-3.fc17.x86_64.

Comment 5 fujiwara 2012-03-14 04:26:21 UTC
(In reply to comment #1)
> Additional info:
> Errors in Looking Glass
> Extesion "ibus-indicator@example" had errors: extesion is not compatible with
> current GNOME Shell and/or GJS
> 
> ----
> gjs-1.31.10-2.fc17.x86_64
> gnome-shell-3.3.90-1.fc17.x86_64

I think this problem is fixed in ibus-1.4.99.20120304-3

What is difference between this bug and bug 802054 ?

Comment 6 sangu 2012-03-14 05:20:17 UTC
1. Login in GDM.
2. gedit start
3.Click ctrl + space or hangul key 
No reponse. 
4. Click ibus tray icon with left button.
empty
5. Click ibus tray icon with right button.
Click restart

Comment 7 fujiwara 2012-03-14 05:33:05 UTC
Did you install the new ibus-hangul?
https://admin.fedoraproject.org/updates/FEDORA-2012-3532/

Comment 8 fujiwara 2012-03-14 05:41:03 UTC
The first Control+Space try to launch each ibus engine so it would take time to enable hangul engine.
Or maybe I don't understand your problem.
I can use Control+Space after I log into the session.

Comment 9 Fedora Update System 2012-03-16 21:23:10 UTC
ibus-fbterm-0.9.1-14.fc17, ibus-qt-1.3.1-8.fc17, ibus-handwrite-2.1.4-4.fc17, sunpinyin-2.0.3-4.fc17, ibus-input-pad-1.4.0-7.fc17, eekboard-1.0.5-4.fc17, ibus-skk-1.4.0-3.fc17, ibus-sayura-1.3.1-4.fc17, ibus-rawcode-1.3.1.20100707-7.fc17, ibus-m17n-1.3.3-9.fc17, ibus-hangul-1.4.0-5.fc17, ibus-chewing-1.3.10-3.fc17, ibus-pinyin-1.4.0-14.fc17, ibus-1.4.99.20120304-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 sangu 2012-03-27 08:08:13 UTC
Created attachment 572967 [details]
Bebefore restarting ibus

Comment 11 sangu 2012-03-27 08:11:09 UTC
Created attachment 572969 [details]
After restarting ibus

Before restarting ibus, No Engine.
After restarting ibus, Hangul Engine.

---
ibus-1.4.99.20120317-1.fc17.x86_64
ibus-gtk2-1.4.99.20120317-1.fc17.x86_64
ibus-hangul-1.4.0-5.fc17.x86_64
ibus-libs-1.4.99.20120317-1.fc17.x86_64
ibus-gtk3-1.4.99.20120317-1.fc17.x86_64

Comment 12 fujiwara 2012-04-13 10:24:39 UTC
Candidate patch is here.
The order of the arguments is not correct.

--- ibus-1.4.99.20120317/ui/gtk3/application.vala.orig	2012-04-13 18:25:28.627564978 +0900
+++ ibus-1.4.99.20120317/ui/gtk3/application.vala	2012-04-13 19:15:14.672724495 +0900
@@ -92,7 +92,10 @@ class Application {
                                       Variant parameters) {
         debug("signal_name = %s", signal_name);
         m_panel = new Panel(m_bus);
-        m_panel.set_config(m_config);
+
+        if (m_config != null) {
+            m_panel.set_config(m_config);
+        }
     }
 
     private void bus_name_lost_cb(DBusConnection connection,
@@ -113,7 +116,9 @@ class Application {
                                               Variant parameters) {
         debug("signal_name = %s", signal_name);
         string name, new_owner, old_owner;
-        parameters.get("(sss)", out name, out new_owner, out old_owner);
+        parameters.get("(sss)", out name, out old_owner, out new_owner);
+        debug("new_owner has name? %s", (new_owner != "").to_string());
+
         if (new_owner == "") {
             m_config = null;

Comment 14 Fedora Update System 2012-04-28 08:06:56 UTC
ibus-1.4.99.20120428-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120428-1.fc17

Comment 15 Fedora Update System 2012-04-28 17:11:13 UTC
Package ibus-1.4.99.20120428-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120428-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6889/ibus-1.4.99.20120428-1.fc17
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-05-06 04:54:54 UTC
ibus-1.4.99.20120428-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.